Certificate Manager
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 Certificate Manager 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다.
API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | SUPPORTED | 20260531 |
| 1.1 | CURRENT | - |
OpenAPI URL
https://certificatemanager.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1.1.1 - 1.1
post /v1/certificatemanager/check-duplication
Description
인증서 이름 중복 여부
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
Example HTTP response
Response 200
1.1.2 - 1.0
post /v1/certificatemanager/check-duplication
Description
인증서 이름 중복 여부
상태
ACTIVE (SUPPORTED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/check-duplication
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
Example HTTP response
Response 200
1.2.1 - 1.1
post /v1/certificatemanager
Description
인증서 생성
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"name": "test-certificate",
"private_key": "<encoded private key data>",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "PRD",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"state": "VALID",
"tags": [],
"user_name": "kildong@samsung.com"
}
}
1.2.2 - 1.0
post /v1/certificatemanager
Description
인증서 생성
상태
ACTIVE (SUPPORTED)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"name": "test-certificate",
"private_key": "<encoded private key data>",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "PRD",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"recipients": [
{
"region": "",
"user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
"user_name": "kildong.hong"
}
],
"state": "VALID",
"tags": [],
"user_name": "kildong@samsung.com"
}
}
1.3.1 - 1.1
delete /v1/certificatemanager/{certificate_id}
Description
인증서 삭제
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 204 | No Content | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Example HTTP response
Response 200
1.3.2 - 1.0
delete /v1/certificatemanager/{certificate_id}
Description
인증서 삭제
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 204 | No Content | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Example HTTP response
Response 200
1.4.1 - 1.1
get /v1/certificatemanager/{certificate_id}
Description
인증서 상세정보
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.4.2 - 1.0
get /v1/certificatemanager/{certificate_id}
Description
인증서 상세정보
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | certificate_id required | 인증서 id Example :
| string | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager/{certificate_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.5.1 - 1.1
get /v1/certificatemanager
Description
인증서 리스트
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | isMine optional | 사용자가 등록한 인증서인지 확인 여부 Example : False
| any of [boolean, null] | False |
| query | name optional | 인증서 이름 Example : test-certificate
| any of [string, null] | None |
| query | cn optional | 인증서 CN 정보 Example : test.go.kr
| any of [string, null] | None |
| query | state optional | 인증서 상태 Example : VALID
| any of [array[string], string, null] | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "PRD",
"cn": "test.go.kr",
"id": "",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"state": "VALID"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.5.2 - 1.0
get /v1/certificatemanager
Description
인증서 리스트
상태
ACTIVE (SUPPORTED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | isMine optional | 사용자가 등록한 인증서인지 확인 여부 Example : False
| any of [boolean, null] | False |
| query | name optional | 인증서 이름 Example : test-certificate
| any of [string, null] | None |
| query | cn optional | 인증서 CN 정보 Example : test.go.kr
| any of [string, null] | None |
| query | state optional | 인증서 상태 Example : VALID
| any of [array[string], string, null] | None |
Responses
Example HTTP request
Request path
/v1/certificatemanager
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "PRD",
"cn": "test.go.kr",
"id": "",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"state": "VALID"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.6.1 - 1.1
post /v1/certificatemanager/self-sign
Description
인증서 자체 서명
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/self-sign
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
{
"cn": "test.go.kr",
"name": "test-certificate",
"not_after_dt": "20251212",
"not_before_dt": "20250101",
"organization": "samsungSDS",
"recipients": [],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.6.2 - 1.0
post /v1/certificatemanager/self-sign
Description
인증서 자체 서명
상태
ACTIVE (SUPPORTED)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/self-sign
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
{
"cn": "test.go.kr",
"name": "test-certificate",
"not_after_dt": "20251212",
"not_before_dt": "20250101",
"organization": "samsungSDS",
"recipients": [],
"region": "west1",
"tags": [],
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"certificate": {
"account_id": "b82909b3576449fda984fb25c3123542da",
"cert_body": "",
"cert_chain": "",
"cert_kind": "DEV",
"cert_type": "pem",
"cert_version": "2",
"cn": "test.go.kr",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"key_bit_size": "2048",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "test-certificate",
"not_after_dt": "2026-02-07T18:07:59",
"not_before_dt": "2025-02-08T18:07:00",
"organization": "samsungSDS",
"private_key": "",
"state": "VALID",
"user_name": "2048"
}
}
1.7.1 - 1.1
post /v1/certificatemanager/check-validation
Description
인증서 검증
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/certificatemanager/check-validation
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"private_key": "<encoded private key data>"
}
Example HTTP response
Response 200
1.7.2 - 1.0
post /v1/certificatemanager/check-validation
Description
인증서 검증
상태
ACTIVE (SUPPORTED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/certificatemanager/check-validation
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"
Request body
{
"cert_body": "<encoded certificate body data>",
"cert_chain": "<encoded certificate chain data>",
"is_need_cert_chain": "True",
"private_key": "<encoded private key data>"
}
Example HTTP response
Response 200